# 32/64bit spec-file
#
%define name	mma
%define version	15.01
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Musical MIDI Accompaniment, MMA, generates standard MIDI files
Summary(de):	Musical MIDI-Begleitung, MMA, erzeugt Standard-MIDI-Dateien
License:	GPL v2
Group:		Sound
BuildRoot:	%{_tmppath}/build-root-%{name}
Source:		%{name}-bin-%{version}.tar.xz
Url:		http://www.mellowood.ca/mma/
Requires:	python >= 2.7

%description
Musical MIDI Accompaniment, MMA, generates standard MIDI
files which can be used as a backup track for a soloist.
It was written especially for me--I am an aspiring saxophonist
and wanted a program to "play" the piano and drums so I could
practice my jazz solos. With MMA I can create a track based
on the chords in a song, transpose it to the correct key for
my instrument, and play my very bad improvisations until
they get a bit better.

#german
%description -l de
Musical MIDI-Begleitung, MMA, erzeugt Standard-MIDI-Dateien,
die als Backup-Länge für einen Solisten verwendet werden können. 
Es wurde speziell für mich geschrieben - ich bin ein aufstrebender
Saxophonist und wollte ein Programm zum "spielen" von Klavier und
Schlagzeug und so konnte ich meine Jazz-Soli der Praxis erlernen.
Mit MMA kann ich einen Track auf der Grundlage der Akkorde in 
einem Song erstellen, umzusetzen, um den richtigen Schlüssel für
mein Instrument zu spielen bei schlechter Improvisationen, jedoch
jetzt ein wenig besser wird.

%prep
%setup -q -n %{name}-bin-%{version}

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}

cp -r text/ANNOUNCE text/CHANGES* text/CONTRIB text/TODO .
cp -r mma.py docs egs includes lib MMA util %{buildroot}%{_datadir}/%{name}
ln -sf %{_datadir}/%{name}/%{name}.py %{buildroot}%{_bindir}/%{name}

%post
mma -G

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES* CONTRIB TODO
%{_datadir}/%{name}/*
%{_bindir}/%{name}

%changelog
* Sun May 24 2015 gseaman <galen.seaman at comcast.net> 15.01-1gseaman2015
- 15.01

* Sun Aug 24 2014 gseaman <galen.seaman at comcast.net> 14.07-1gseaman2014
- 14.07

* Sat Dec 28 2013 gseaman <galen.seaman at comcast.net> 13.12-1gseaman2013
- 13.12

